Subject: Re: bug#61350: Eglot over Tramp freezes with large project

From: João Távora <[email-masked]>
Date: Mon, 6 Mar 2023 13:45:06 +0000

On Mon, Mar 6, 2023 at 12:42 PM Michael Albinus <[email-masked]> wrote:
>
> Michael Albinus <[email-masked]> writes:

> --8<---------------cut here---------------start------------->8---
> (safe-local-variable-p 'tramp-use-ssh-controlmaster-options 'suppress)
> --8<---------------cut here---------------end--------------->8---

Thanks.

As Tramp is a :core GNU ELPA package, I think we can make Eglot
"Package-Require" tramp and use this new variable value.  Or we
can just keep using slightly more hacky version for now (since turning
off ControlMaster is kind of a hack intrinsically).  I don't
see any rush.

> PS: Starting on Wednesday, I'll be almost offline for a couple of
> days. I have no idea how long, 'tho.

Take care!
João